package com.fs.hisStore.service.impl;

import com.fs.common.utils.DateUtils;
import com.fs.hisStore.domain.FsStoreCouponUserScrm;
import com.fs.hisStore.mapper.FsStoreCouponUserScrmMapper;
import com.fs.hisStore.param.FsCouponUserEnableParam;
import com.fs.hisStore.service.IFsStoreCouponUserScrmService;
import com.fs.hisStore.vo.FsStoreCouponUserVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 优惠券发放记录Service业务层处理
 * 
 * @author fs
 * @date 2022-03-15
 */
@Service
public class FsStoreCouponUserScrmServiceImpl implements IFsStoreCouponUserScrmService
{
    @Autowired
    private FsStoreCouponUserScrmMapper fsStoreCouponUserMapper;

    /**
     * 查询优惠券发放记录
     * 
     * @param id 优惠券发放记录ID
     * @return 优惠券发放记录
     */
    @Override
    public FsStoreCouponUserScrm selectFsStoreCouponUserById(Long id)
    {
        return fsStoreCouponUserMapper.selectFsStoreCouponUserById(id);
    }

    /**
     * 查询优惠券发放记录列表
     * 
     * @param fsStoreCouponUser 优惠券发放记录
     * @return 优惠券发放记录
     */
    @Override
    public List<FsStoreCouponUserScrm> selectFsStoreCouponUserList(FsStoreCouponUserScrm fsStoreCouponUser)
    {
        return fsStoreCouponUserMapper.selectFsStoreCouponUserList(fsStoreCouponUser);
    }

    /**
     * 新增优惠券发放记录
     * 
     * @param fsStoreCouponUser 优惠券发放记录
     * @return 结果
     */
    @Override
    public int insertFsStoreCouponUser(FsStoreCouponUserScrm fsStoreCouponUser)
    {
        fsStoreCouponUser.setCreateTime(DateUtils.getNowDate());
        return fsStoreCouponUserMapper.insertFsStoreCouponUser(fsStoreCouponUser);
    }

    /**
     * 修改优惠券发放记录
     * 
     * @param fsStoreCouponUser 优惠券发放记录
     * @return 结果
     */
    @Override
    public int updateFsStoreCouponUser(FsStoreCouponUserScrm fsStoreCouponUser)
    {
        fsStoreCouponUser.setUpdateTime(DateUtils.getNowDate());
        return fsStoreCouponUserMapper.updateFsStoreCouponUser(fsStoreCouponUser);
    }

    /**
     * 批量删除优惠券发放记录
     * 
     * @param ids 需要删除的优惠券发放记录ID
     * @return 结果
     */
    @Override
    public int deleteFsStoreCouponUserByIds(Long[] ids)
    {
        return fsStoreCouponUserMapper.deleteFsStoreCouponUserByIds(ids);
    }

    /**
     * 删除优惠券发放记录信息
     * 
     * @param id 优惠券发放记录ID
     * @return 结果
     */
    @Override
    public int deleteFsStoreCouponUserById(Long id)
    {
        return fsStoreCouponUserMapper.deleteFsStoreCouponUserById(id);
    }

    @Override
    public int updateFsCouponByExpire() {
        return fsStoreCouponUserMapper.updateFsCouponByExpire();
    }

    @Override
    public List<FsStoreCouponUserScrm>  selectFsStoreCouponUserListByEnable(FsCouponUserEnableParam param) {
        return fsStoreCouponUserMapper.selectFsStoreCouponUserListByEnable(param);
    }

    @Override
    public List<FsStoreCouponUserVO> selectFsStoreCouponUserListVO(FsStoreCouponUserScrm fsStoreCouponUser) {
        return fsStoreCouponUserMapper.selectFsStoreCouponUserListVO(fsStoreCouponUser);
    }

    @Override
    public List<FsStoreCouponUserVO> selectFsStoreCouponUserListVOForCash(FsStoreCouponUserScrm fsStoreCouponUser) {
        return fsStoreCouponUserMapper.selectFsStoreCouponUserListVOForCash(fsStoreCouponUser);
    }

    @Override
    public List<FsStoreCouponUserScrm> selectFsStoreCouponUserListByEnableForCash(FsCouponUserEnableParam param) {
        return fsStoreCouponUserMapper.selectFsStoreCouponUserListByEnableForCash(param);
    }

    @Override
    public List<FsStoreCouponUserVO> selectFsStoreCouponUserListAppVOForCash(FsStoreCouponUserScrm map) {
        return fsStoreCouponUserMapper.selectFsStoreCouponUserListAppVOForCash(map);
    }
}